# file: mp3wrap.spec #

Source1000:     vdb.lua
%include        %{S:1000}

%global major   0
%global minor   5
%global rel     0.vdb.1

Name:           mp3wrap
Version:        %{major}.%{minor}
Release:        %{rel}%{?dist}
Summary:        Tool for mp3/ogg splitting without decoding
License:        GPLv2+
URL:            http://mp3wrap.sourceforge.net/
Source0:        https://sourceforge.net/projects/mp3wrap/files/%{name}/%{name}%%20%{version}/%{name}-%{version}-src.tar.gz
Patch0:         mp3wrap-0.5-warnings.vdb.patch

BuildRequires:  gcc
BuildRequires:  make

%description
%{lua: descr( [[
Short description
    Mp3Wrap is a free independent alternative to AlbumWrap. It's a command-line utility that wraps
    quickly two or more mp3 files in one single large playable mp3, without losing filenames and
    ID3 informations (and without need of decoding/encoding). Also with the possibility of
    including other non mp3 files, such as PlayLists, info files, cover images, inside the mp3.
    This means that you obtain a large mp3 that you can split in any moment just using mp3splt and
    in few seconds you have all original files again! It's useful because files created with
    Mp3Wrap are easy to download. Infact who downloads has not to know each single song name and
    easy to play and even if you don't have mp3splt to split file, you can listen to it anyway.
    MP3Wrap the Free AlbumWrap.
]] ) }

%prep
%setup -q
%patch0 -p1
%{configure}

%build
%{make_build}

%check
# Project's make has no 'check' target.

%install
%{make_install}

%clean

%files
        %{_bindir}/%{name}
%doc    %{_mandir}/man1/%{name}.1.gz
%license COPYING

%changelog

* Sun Dec 06 2020 Van de Bugger - 0.5-0.vdb.1
- Initial release.

